---

# Load distribution specific variables
- include_vars: "{{ item }}"
  with_first_found:
    - "{{ role_path }}/vars/{{ ansible_distribution }}-{{ ansible_distribution_major_version }}.yml"
    - "{{ role_path }}/vars/{{ ansible_os_family }}-{{ ansible_distribution_major_version }}.yml"
    - "{{ role_path }}/vars/{{ ansible_distribution }}.yml"
    - "{{ role_path }}/vars/{{ ansible_os_family }}.yml"
  tags: repo,samba

- name: Configure TIS samba repo
  yum_repository:
    name: tis-samba
    description: Samba4 repo from TranquiIT
    baseurl: http://samba.tranquil.it/redhat$releasever/samba-{{ samba_major_version }}/
    gpgcheck: True
    gpgkey: https://samba.tranquil.it/RPM-GPG-KEY-TISSAMBA-{{ ansible_distribution_major_version }}
  tags: repo,samba
